# Copyright (c) 2005, Nokia. All rights reserved #

ifeq (WINS,$(findstring WINS, $(PLATFORM)))
ZDIR=$(EPOCROOT)epoc32\release\$(PLATFORM)\$(CFG)\Z
else
ZDIR=$(EPOCROOT)epoc32\data\z
endif

TARGETDIR=$(ZDIR)\RESOURCE\APPS

HEADERDIR=$(EPOCROOT)epoc32\include
ICONTARGETFILENAME=$(TARGETDIR)\weather.MIF
HEADERFILENAME=$(HEADERDIR)\weather.MBG



do_nothing :
	@rem do_nothing

MAKMAKE : do_nothing

BLD : do_nothing

CLEAN : do_nothing

LIB : do_nothing

CLEANLIB : do_nothing

RESOURCE :
	
#	mifconv $(ICONTARGETFILENAME) /c12,1 ..\gfx\list_icon.bmp /c12,1 ..\gfx\context_pane_icon.bmp \
#		/c12,1 ..\gfx\therm.bmp /c12 ..\gfx\snow.bmp \
#		/c12 ..\gfx\hail.bmp /c12 ..\gfx\rain.bmp /c12 ..\gfx\fog.bmp /c12 ..\gfx\volcano.bmp \
#		/c12 ..\gfx\sun.bmp /c12 ..\gfx\fewclouds.bmp /c12 ..\gfx\scatteredclouds.bmp \
#		/c12 ..\gfx\mostlycloudy.bmp /c12 ..\gfx\overcast.bmp /c12 ..\gfx\aboutlogo.bmp /H$(HEADERFILENAME)


	mifconv $(ZDIR)\resource\apps\weather.mif  \
		 /H$(HEADERDIR)\weather.mbg  \
		 /c12,1 ..\gfx\qgn_menu_weather.svg  \
		 /c24,1 ..\gfx\aboutlogo.bmp  \
		 /8 ..\gfx\fog.bmp  \
		 ..\gfx\fog_mask.bmp  \
		 ..\gfx\rain.bmp  \
		 ..\gfx\rain_mask.bmp  \
		 ..\gfx\hail.bmp  \
		 ..\gfx\hail_mask.bmp  \
		 /c12 ..\gfx\overcast.bmp  \
		 /8 ..\gfx\overcast_mask.bmp  \
		 /c12 ..\gfx\mostlycloudy.bmp  \
		 /8 ..\gfx\mostlycloudy_mask.bmp  \
		 ..\gfx\volcano.bmp  \
		 ..\gfx\volcano_mask.bmp  \
		 ..\gfx\snow.bmp  \
		 ..\gfx\snow_mask.bmp  \
		 /c12 ..\gfx\sun.bmp  \
		 /8 ..\gfx\sun_mask.bmp  \
		 ..\gfx\scatteredclouds.bmp  \
		 ..\gfx\scatteredclouds_mask.bmp  \
		 ..\gfx\fewclouds.bmp  \
		 ..\gfx\fewclouds_mask.bmp  \
		 /c12,1 ..\gfx\therm.bmp  \
		 /c12 ..\gfx\smoke.bmp  \
		 /8 ..\gfx\smoke_mask.bmp
		 
#	copy ..\data\weatherlocations.txt $(ZDIR)\resource\apps\
	
FREEZE : do_nothing

SAVESPACE : do_nothing

RELEASABLES :
	@echo $(ICONTARGETFILENAME)

FINAL : do_nothing
