# ============================================================================
#  Name	 : build_help.mk
#  Part of  : weather
#
#  Description: This make file will build the application help file (.hlp)
# 
# ============================================================================

do_nothing :
	@rem do_nothing

MAKMAKE :
	cshlpcmp weather.cshlp
ifeq (WINS,$(findstring WINS, $(PLATFORM)))
	copy weather.hlp $(EPOCROOT)epoc32\$(PLATFORM)\c\resource\help
endif

BLD : do_nothing

CLEAN :
	del weather.hlp
	del weather.hlp.hrh

LIB : do_nothing

CLEANLIB : do_nothing

RESOURCE : do_nothing
		
FREEZE : do_nothing

SAVESPACE : do_nothing

RELEASABLES :
	@echo weather.hlp

FINAL : do_nothing
