// TIMEOUTNOTIFY.H
//
// Copyright (c) 1997-1999 Symbian Ltd.  All rights reserved.
//





#ifndef _TIMEOUTNOTIFY_H_
#define _TIMEOUTNOTIFY_H_

/*! 
  @class MTimeOutNotify
  
  @discussion This class specifies the function to be called when a timeout occurs.
  Used in conjunction with CTimeOutTimer class
  */
class MTimeOutNotify
{
public:
/*!
  @function TimerExpired

  @discussion The function to be called when a timeout occurs
  */
    virtual void TimerExpired() = 0;
};

#endif