/*
 * Copyright Justin Armstrong 2004. 
 *
 * This file is part of the application "Weather"
 * 
 * "Weather" is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */


#ifndef __HTTPNOTIFY_H__
#define __HTTPNOTIFY_H__


class MHttpNotify
    {
public:

    virtual void SocketStatusNotify(const TDesC& aErrMessage, TBool aTerminal) = 0;
    virtual void SocketStatusNotify(TInt aMsgResourceId, TBool aTerminal) = 0;
    virtual void HttpLoadedNotify(TPtrC aBody, TInt aResponseCode) = 0;


    };

#endif
