
/*
 * Copyright Justin Armstrong 2004-2009. 
 *
 * This file is part of the application "Weather"
 * 
 * "Weather" is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Weather is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#include "aboutdialog.h"
#include <eikspace.h> 

CAboutDialog::CAboutDialog() : CEikDialog()
    {
    }



TKeyResponse CAboutDialog::OfferKeyEventL(
    const TKeyEvent&/* aKeyEvent*/,
    TEventCode/* aType */)
    {
    return EKeyWasNotConsumed;
    }

void CAboutDialog::PostLayoutDynInitL()
    {
    
    CEikDialog::PostLayoutDynInitL();

    if ( ControlOrNull(10) )
        {
        CEikSpacer* bg = static_cast<CEikSpacer*>( ControlOrNull(10) );
        bg->SetRect( Rect() );
        bg->SetPosition( TPoint(0,0) );
        bg->SetHeight( Size().iHeight );
        bg->SetWidth( Size().iWidth );
        bg->SetColor( KRgbWhite );
        bg->SetClear( EFalse );
        }
    TRAPD(error, OverrideColorL(EColorControlBackground, KRgbWhite));
    
    
    }

void CAboutDialog::Draw(const TRect&  aRect)  const 
    {
    /* NOT CALLED!!
    CWindowGc& gc = SystemGc();

    gc.SetPenStyle(CGraphicsContext::ENullPen);
    gc.SetBrushColor(KRgbWhite);
    gc.SetBrushStyle(CGraphicsContext::ESolidBrush);
    gc.DrawRect(aRect);
    */
    }


TBool CAboutDialog::OkToExitL(TInt /*aKeycode*/)
    {

    return ETrue;
    }
